<?php

declare(strict_types=1);

namespace App\Modules\LoanOrderMobile\Policies;

use App\Modules\LoanOrderMobile\Models\LoanOrderMobile;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class LoanOrderMobilePolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:LoanOrderMobile');
    }

    public function view(AuthUser $authUser, LoanOrderMobile $loanOrderMobile): bool
    {
        return $authUser->can('View:LoanOrderMobile');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:LoanOrderMobile');
    }

    public function update(AuthUser $authUser, LoanOrderMobile $loanOrderMobile): bool
    {
        return $authUser->can('Update:LoanOrderMobile');
    }

    public function delete(AuthUser $authUser, LoanOrderMobile $loanOrderMobile): bool
    {
        return $authUser->can('Delete:LoanOrderMobile');
    }

    public function restore(AuthUser $authUser, LoanOrderMobile $loanOrderMobile): bool
    {
        return $authUser->can('Restore:LoanOrderMobile');
    }

    public function forceDelete(AuthUser $authUser, LoanOrderMobile $loanOrderMobile): bool
    {
        return $authUser->can('ForceDelete:LoanOrderMobile');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:LoanOrderMobile');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:LoanOrderMobile');
    }

    public function replicate(AuthUser $authUser, LoanOrderMobile $loanOrderMobile): bool
    {
        return $authUser->can('Replicate:LoanOrderMobile');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:LoanOrderMobile');
    }
}
